*
{
  font-size: 20px;
}
html
{
    scrollbar-width: thin;
}

body {
    font-family: Arial, sans-serif;
   margin: 0;
    padding: 0px;
    transition: font-size 0.3s ease; /* плавний перехід для розміру шрифту */
}

svg
{
    width: 30px;
    height: 30px;
}

a {
    text-decoration: none;
    color: black;
    //transition: all 0.1s linear;
}

a:hover, a:focus  {
    //outline: none;
    //color: black;
    font-weight: bold;
}

.header {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    display: flex;
    align-items: center;
	justify-content: space-around;
}

.main-content button
{
    color: black;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
    border: none;
    padding: 0;
}

.header > a {
    font-size: 1.25rem;
    color: whitesmoke;
}


.left
{
    position: absolute;
	left: 15px;
	size:auto;
    margin-left: auto;
    display: flex;
    padding: 4px;
    align-items: center;
}

.burgerMenu-btn 
{ 
	top: 14px;
    left: 35px;
    z-index: 9999;
    background-color: #ffffff00;
    color: #fff;
    
    border: none;
    border-radius: 5px;
    cursor: pointer;
	//display: none;
}




.header-text 
{
   //padding: 4px;
   
}


.right {
	size:auto;
    margin-left: auto;
    display: flex;
    padding: 4px;
    align-items: center;
}


.masage-btn {
    color: white;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: right;
    border: none;
    padding: 0;
    position: absolute;
}

.masage-btn:hover {
	animation: animMasage 2s  1;
	transition: transform 0.3s; 
}

@keyframes animMasage {
    0% {
        transform: rotateZ(0deg); 
	}
    25% {
        transform: rotateZ(20deg); 
    }
	50% {
        transform: rotateZ(-20deg); 
    }
	75% {
        transform: rotateZ(20deg); 
    }
    100% {
        transform: rotateZ(0deg); 
		
    }
}


.navigationRedDot{
    top:0;
    right: 0;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: red;
    position: absolute;
    animation-name: pulse;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
}

@keyframes pulse {
    from {
        transform: scale(1);
        opacity: 0.7;
    }
    to {
        transform: scale(1.3);
        opacity: 0;
    }
}

.profile-btn 
{
    color: white;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: right;
    border: none;
    padding: 0px 0px 0px 50px;
    order: 3;
	
}
.name-l
{
	padding: 5px 50px 5px 5px;
}
.sidebar 
{
		width: auto;
		height: 100vh;
		background-color: #f4f4f4;
		padding: 30px 20px 20px 20px;
		position:relative;
		z-index:100;
}


@media (min-width: 637px)
{
	.burgerMenu-btn
	{
		display:none;
	}
    * {
        font-size:20px;
    }
    svg
    {
        width: 30px;
        height: 30px;
    }

	
}

@media (max-width: 636px)
{
	.name-l 
	{
		display: none;
	}
	
	.burgerMenu-btn
	{
		visibility:visible;
	}
	.sidebar 
	{
		width: auto;
		height: 100vh;
		background-color: #f4f4f4;
		padding: 30px 20px 20px 20px;
		position: absolute;
		
		left: -250px; /* Початкове значення зміщення вліво за межі екрану */
		transition: left 0.3s ease; /* Анімація згортання/розгортання */
	}
	.sidebar.open 
	{
		left: 0; /* Зміщення вліво до 0, щоб показати бічне меню */
	}
    *
    {
        font-size: 15px;
    }

    svg
    {
        width: 20px;
        height: 20px;
    }

}

.sidebar a 
{
    display: block;
    margin-bottom: auto; 
    text-decoration: none;
    color: #333;
}
.sidebar a:hover 
{
    color: #000;
}

#name-l
{
    font-size: 22px;
    align-self: center;
    padding: 5px 50px 5px 5px;
}


.container {
    display: flex;
    overflow-y: auto; /* Allows vertical scrolling */
    scrollbar-width: none; /* For Firefox */
    -ms-overflow-style: none;  /* For Internet Explorer and Edge */
}

.container::-webkit-scrollbar {
    display: none; /* For Chrome, Safari and Opera */
}
.main-content {
    flex: 1;
    padding: 20px;
    width: 800vw;
    height: 100vh;
    overflow-y: auto;
    margin-right: 10px;
    min-height: 600px;
    overflow-y: auto;
    position: static;
}

.notification-btn 
{
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}





.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    //background-color: #ddd;
}

.show {
    display: block;
}








.dropdown-content {
    display: none; /* Спочатку приховуємо дропдаун-меню */
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    top: 40px; /* Встановлюємо відступ від верхнього краю кнопки */
    margin-top: 5px; /* Додатковий відступ для поліпшення візуального вигляду */
}


.profile-btn:hover + .dropdown-content,
.dropdown-content:hover {
    display: block; /* Показуємо дропдаун-меню, якщо наведено курсор на кнопку або на саме меню */
}

